
if not Global.game_settings then return end
if not Global.game_settings.level_id then return end

if Global.game_settings.level_id ~= "pbr" then return end

core:import("CoreMissionScriptElement")

-- log("SUCCESSFULLY HOOKED ELEMENTSPAWNENEMYDUMMY")

function ElementSpawnEnemyDummy:init(...)
	ElementSpawnEnemyDummy.super.init(self, ...)
	
	self._enemy_name = self._values.enemy and Idstring(self._values.enemy) or Idstring("units/payday2/characters/ene_swat_1/ene_swat_1")
	
	local murkyunits = table.set(
		"units/pd2_dlc_berry/characters/npc_locke/npc_locke",
		"units/payday2/characters/ene_murkywater_1/ene_murkywater_1",
		"units/payday2/characters/ene_murkywater_2/ene_murkywater_2",
		"units/pd2_dlc_berry/characters/ene_murkywater_no_light/ene_murkywater_no_light",
		"units/pd2_dlc_des/characters/ene_murkywater_no_light_not_security/ene_murkywater_no_light_not_security",
		"units/pd2_dlc_des/characters/ene_murkywater_not_security_1/ene_murkywater_not_security_1",
		"units/pd2_dlc_des/characters/ene_murkywater_not_security_2/ene_murkywater_not_security_2",
		"units/pd2_dlc_bph/characters/ene_murkywater_light/ene_murkywater_light",
		"units/pd2_dlc_bph/characters/ene_murkywater_light_city/ene_murkywater_light_city",
		"units/pd2_dlc_bph/characters/ene_murkywater_light_city_r870/ene_murkywater_light_city_r870",
		"units/pd2_dlc_bph/characters/ene_murkywater_light_fbi/ene_murkywater_light_fbi",
		"units/pd2_dlc_bph/characters/ene_murkywater_light_fbi_r870/ene_murkywater_light_fbi_r870",
		"units/pd2_dlc_bph/characters/ene_murkywater_light_r870/ene_murkywater_light_r870",
		"units/pd2_dlc_bph/characters/ene_murkywater_heavy/ene_murkywater_heavy",
		"units/pd2_dlc_bph/characters/ene_murkywater_heavy_g36/ene_murkywater_heavy_g36",
		"units/pd2_dlc_bph/characters/ene_murkywater_heavy_shotgun/ene_murkywater_heavy_shotgun",
		"units/pd2_dlc_bph/characters/ene_murkywater_bulldozer_1/ene_murkywater_bulldozer_1",
		"units/pd2_dlc_bph/characters/ene_murkywater_bulldozer_2/ene_murkywater_bulldozer_2",
		"units/pd2_dlc_bph/characters/ene_murkywater_bulldozer_3/ene_murkywater_bulldozer_3",
		"units/pd2_dlc_bph/characters/ene_murkywater_bulldozer_4/ene_murkywater_bulldozer_4",
		"units/pd2_dlc_bph/characters/ene_murkywater_cloaker/ene_murkywater_cloaker",
		"units/pd2_dlc_bph/characters/ene_murkywater_medic/ene_murkywater_medic",
		"units/pd2_dlc_bph/characters/ene_murkywater_tazer/ene_murkywater_tazer",
		"units/pd2_dlc_bph/characters/ene_murkywater_shield/ene_murkywater_shield",
		"units/pd2_dlc_bph/characters/ene_murkywater_sniper/ene_murkywater_sniper"
	)
	
	if self._values.enemy ~= "units/payday2/characters/ene_swat_1/ene_swat_1" and not murkyunits[self._values.enemy] then
		-- log("REPLACING SCRIPTED ENEMY: "..tostring(self._values.enemy))
		
		local newenemy = "units/payday2/characters/ene_swat_1/ene_swat_1"
		
		-- Shields
		if self._values.enemy == "units/payday2/characters/ene_shield_1/ene_shield_1" or self._values.enemy == "units/payday2/characters/ene_shield_2/ene_shield_2" then
			newenemy = "units/pd2_dlc_bph/characters/ene_murkywater_shield/ene_murkywater_shield"
		end
		
		-- Snipers
		if self._values.enemy == "units/payday2/characters/ene_sniper_1/ene_sniper_1" or self._values.enemy == "units/payday2/characters/ene_sniper_2/ene_sniper_2" then
			newenemy = "units/pd2_dlc_bph/characters/ene_murkywater_sniper/ene_murkywater_sniper"
		end
		
		-- R870 Dozer
		if self._values.enemy == "units/payday2/characters/ene_bulldozer_1/ene_bulldozer_1" then
			newenemy = "units/pd2_dlc_bph/characters/ene_murkywater_bulldozer_2/ene_murkywater_bulldozer_2"
		end
		
		-- Saiga Dozer
		if self._values.enemy == "units/payday2/characters/ene_bulldozer_2/ene_bulldozer_2" then
			newenemy = "units/pd2_dlc_bph/characters/ene_murkywater_bulldozer_3/ene_murkywater_bulldozer_3"
		end
		
		-- LMG Dozer
		if self._values.enemy == "units/payday2/characters/ene_bulldozer_3/ene_bulldozer_3" then
			newenemy = "units/pd2_dlc_bph/characters/ene_murkywater_bulldozer_4/ene_murkywater_bulldozer_4"
		end
		
		-- log("WITH: "..newenemy)
		
		self._enemy_name = Idstring(newenemy)
	end
	
	self._values.enemy = nil
	self._units = {}
	self._events = {}
	
	self:_finalize_values()
end
