
if not Global.game_settings then return end
if not Global.game_settings.level_id then return end

if Global.game_settings.level_id ~= "pbr" then return end

core:module("CoreElementUnitSequence")
core:import("CoreMissionScriptElement")
core:import("CoreCode")
core:import("CoreUnit")

-- log("SUCCESSFULLY HOOKED ELEMENTUNITSEQUENCE")

function ElementUnitSequence:init(...)
	ElementUnitSequence.super.init(self, ...)
	
	if self._id == 101651 then
		self._values.trigger_list = {
			{
				id = 1,
				time = 0,
				notify_unit_id = 101648,
				name = "run_sequence",
				notify_unit_sequence = 'swat_night'
			},
			{
				id = 2,
				time = 5,
				notify_unit_id = 101649,
				name = "run_sequence",
				notify_unit_sequence = 'swat_night'
			},
			{
				id = 3,
				time = 0,
				notify_unit_id = 101648,
				name = "run_sequence",
				notify_unit_sequence = 'change_material_to_murkywater'
			},
			{
				id = 4,
				time = 5,
				notify_unit_id = 101649,
				name = "run_sequence",
				notify_unit_sequence = 'change_material_to_murkywater'
			},
			{
				id = 5,
				time = 0,
				notify_unit_id = 101648,
				name = "run_sequence",
				notify_unit_sequence = 'flyin_fwd_hover'
			},
			{
				id = 6,
				time = 5,
				notify_unit_id = 101649,
				name = "run_sequence",
				notify_unit_sequence = 'flyin_fwd_hover'
			}
		}
	end
	
	self._unit = CoreUnit.safe_spawn_unit("core/units/run_sequence_dummy/run_sequence_dummy", self._values.position)
	
	managers.worlddefinition:add_trigger_sequence(self._unit, self._values.trigger_list)
end
